Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jexl.util
Class ArrayIterator

    java.lang.Object
      |
      +--org.apache.commons.jexl.util.ArrayIterator

All Implemented Interfaces:
  Iterator

public class ArrayIterator
extends Object
implements Iterator

An Iterator wrapper for an Object[]. This will allow us to deal with all array like structures in a consistent manner.

WARNING : this class's operations are NOT synchronized. It is meant to be used in a single thread, newly created for each use in the #foreach() directive. If this is used or shared, synchronize in the next() method.

Version:
  $Id: ArrayIterator.java,v 1.3 2004/02/28 13:45:21 yoavs Exp $

Constructor Summary
`ArrayIterator(Object array)` Creates a new iterator instance for the specified array.

Method Summary
`boolean` | `hasNext()` Check to see if there is another element in the array.
`Object` | `next()` Move to next element in the array.
`void` | `remove()` No op--merely added to satify the `Iterator` interface.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayIterator

    public ArrayIterator(Object array)

  Creates a new iterator instance for the specified array.
  Parameters:
    `array` - The array for which an iterator is desired.

Method Detail

### next

    public Object next()

  Move to next element in the array.
  Specified by:
    `next` in interface `Iterator`
  Returns:
    The next object in the array.

### hasNext

    public boolean hasNext()

  Check to see if there is another element in the array.
  Specified by:
    `hasNext` in interface `Iterator`
  Returns:
    Whether there is another element.

### remove

    public void remove()

  No op--merely added to satify the `Iterator` interface.
  Specified by:
    `remove` in interface `Iterator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2004 The Apache Software Foundation. All Rights Reserved.